# Maxwell configuration

The NixOS configuration of Maxwell

## Switching configuration

1. Mount remotely the secrets directory

   `$ ssh -A maxwell sshfs wigfrid.ydns.eu:$PWD $PWD -o allow_other`

2. Run nixos-rebuild

   `$ nixos-rebuild test -I nixos-config=configuration.nix
      --target-host maxwell --use-remote-sudo`

3. Unmount the secrets directory

   `ssh -A maxwell fusemount -u $PWD`

## Testing changes

1. Build a VM

   `$ nixos-rebuild build-vm -I nixos-config=testing.nix`

2. Change the open files limit

   `$ ulimit -n 90000` 

3. Run the VM without internet (to avoid a mess)

   `$ unshare -nc result/bin/run-maxwell-vm`
